%  NNARX_prune.m
%  -------
%  Prunes the NNARX model.
%  Written by : Oskar Gross
%  LastEditDate  : May, 24, 2009

% Prepare the data first
[u_test u_train u_valid y_test y_train y_valid] = PrepareData();

load 'NNARX_32_Tanh.mat';

[thd,NSSEvec,FPEvec,NSSEtestvec,deff_vec,pvec] = nnprune('nnarx',NetDef,W1,W2,u_test,y_test,NN,settrain,[],u_test,y_test);

%Calculate the best structure for the network
[minfpe,index] = min(FPEvec(pvec));

%index = pvec(index);
[W1,W2] = netstruc(NetDef,thd,index);

%Check the network with new weights
[Yhat,NSSE]=nnvalid('nnarx',NetDef,NN,W1,W2,y_valid,u_valid);

nnarmaxprunederr = meanSquaredError(y_valid, Yhat,2);

%Draw the network
drawnet(W1,W2);