%  OE.m
%  -------
%  Creates and validates the linear OE model structure.        
%  Written by : Oskar Gross
%  LastEditDate  : May, 24, 2009

% Prepare the data first
lag = 4;
[u_test u_train u_valid y_test y_train y_valid] = PrepareData();

%NetDef = ['L'; 'L'];
NetDef = ['LHHHHHH'; 'L------'];
trparms = settrain;
    
W1 = [];
W2 = [];

% The lag structure
NN = [lag lag 1];

[W1,W2,PI_vector,iteration,lambda]=nnoe(NetDef,NN,W1,W2,trparms,y_train,u_train);

[Yhat,NSSE]=nnvalid('nnoe',NetDef,NN,W1,W2,y_test,u_test);

[meanError] = meanSquaredError(y_test,Yhat,lag);

%% Analyze k-predictions performance

Yhat=kpredict('nnoe',NetDef,NN,1,W1,W2,y_valid,u_valid);

[meanErrorPredict] = meanSquaredError(y_valid,Yhat,1);

Yhat=kpredict('nnoe',NetDef,NN,3,W1,W2,y_valid,u_valid);

[meanErrorPredict2] = meanSquaredError(y_valid,Yhat,3);

Yhat=kpredict('nnoe',NetDef,NN,20,W1,W2,y_valid,u_valid);

[meanErrorPredict20] = meanSquaredError(y_valid,Yhat,20);