%  PrepareData.m
%  -------
%  Scales and prepares the data for futher handling.           
%  Written by : Oskar Gross
%  LastEditDate  : May, 30, 2009
function [u_test u_train u_valid y_test y_train y_valid] = PrepareData()

load 'Pendulum_Data_50Hz.mat';

[U_a] = transp(U);
[Y_a] = transp(Y);

[u_3] = length(U)/3;
[u_2] = length(U)*2/3;
[u_1] = length(U);

[y_3] = length(Y)/3;
[y_2] = length(Y)*2/3;
[y_1] = length(Y);

u_test = U_a(1:u_3);
u_train = U_a(u_3+1:u_2);
u_valid = U_a(u_2+1:u_1);

y_test = Y_a(1:u_3);
y_train = Y_a(u_3+1:u_2);
y_valid = Y_a(u_2+1:u_1);
end