%  Demo.m
%
%  Simple file to show how we can use nnarmax functions with many samples.
%  Other examples with many samples are available on this disk with filename
%  TestNN<modelname>ManySamples.m.
%
%  Programmed by: Oskar Gross, University of Tartu
%  LastEditDate  : June 1, 2009

%Load the test data
load 'TestSample.mat';

%Define the network structure
NetDef = ['HHHH'; 'L---'];

%Define the input and output data
U = u_train;
Y = y_train;

UT = u_test;
YT = y_test;

trparms = settrain;    
W1 = [];
W2 = [];

% As we need many samples, divide the training data it into groups
Y1 = y_train(1:254);
Y2 = y_train(255:378);
Y3 = y_train(379:500);

U1 = u_train(1:254);
U2 = u_train(255:378);
U3 = u_train(379:500);

%Define lag space
NN = [2 2 1 1];

%Train the network with many samples
[W1,W2,PI_vector,iteration,lambda]=nnarxManySamples(NetDef,NN,W1,W2,trparms,[Y1 Y2 Y3],[U1 U2 U3],[1 255 379]);
 
% Validate neural network
[Yhat,NSSE]=nnvalid('nnarx',NetDef,NN,W1,W2, YT,UT);